# SPDX-License-Identifier: GPL-2.0
# Copyright (C) 2017 Shane Meagher (shanemeagher)
# Copyright (C) 2017-present Team LibreELEC (https://libreelec.tv)

PKG_NAME="spotifyd"
PKG_VERSION="v0.2.24"
PKG_SHA256="d3763f4647217a8f98ee938b50e141d67a5f3d33e9378894fde2a92c9845ef80"
PKG_VERSION_DATE="2020-01-24"
PKG_REV="101"
PKG_ARCH="any"
PKG_LICENSE="MIT"
PKG_SITE="https://github.com/Spotifyd/spotifyd"
PKG_URL="https://github.com/Spotifyd/spotifyd/archive/$PKG_VERSION.tar.gz"
PKG_DEPENDS_TARGET="toolchain alsa-lib pulseaudio rust"
PKG_SECTION="service"
PKG_SHORTDESC="Spotifyd"
PKG_LONGDESC="Spotifyd ($PKG_VERSION) is an open source Spotify client running as a UNIX daemon.\n- Use SSH/Samba to edit the config file located here:\n  ~/.kodi/userdata/addon_data/service.spotifyd/spotifyd.conf\n- Disable/enable the addon from Kodi to load the new configuration."
PKG_TOOLCHAIN="manual"

PKG_IS_ADDON="yes"
PKG_ADDON_NAME="Spotifyd"
PKG_ADDON_TYPE="xbmc.service"
PKG_ADDON_REQUIRES="script.module.requests:0.0.0"
PKG_MAINTAINER="jant90"

make_target() {
  . "$(get_build_dir rust)/cargo/env"
  cargo build \
    --release \
    --features "pulseaudio_backend"
  "$STRIP" $PKG_BUILD/.$TARGET_NAME/*/release/spotifyd
}

addon() {
  mkdir -p "$ADDON_BUILD/$PKG_ADDON_ID/bin"
    cp $PKG_BUILD/.$TARGET_NAME/*/release/spotifyd \
       "$ADDON_BUILD/$PKG_ADDON_ID/bin"
}
